Package ru.bitel.bgbilling.kernel.event.events

# Class AdditionalActionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.AdditionalActionEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class AdditionalActionEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Сихронное событие - обработка доп. действия для договора.
Обработка дополнительного действия договора вызванного либо в карточке договора, либо через Web-статистику. Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `AdditionalActionEvent()` |
  `` | `AdditionalActionEvent​(int cid, int actionId, int userId)` | Констркутор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addReport​(java.lang.String value)` | Добавление текста в отчет по выполнению действия.
  `int` | `getActionId()` | Возвращает код доп. действия договора.
  `ParameterMap` | `getParams()` |
  `java.lang.String` | `getReport()` | Возвращает отчет по выполенению действия. Функция вызвыается биллингом после выполнения доп. действия. Отчет отображается пользователю либо оператору.
  `javax.servlet.http.HttpServletRequest` | `getRequest()` |
  `void` | `setParams​(ParameterMap params)` |
  `void` | `setRequest​(javax.servlet.http.HttpServletRequest request)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdditionalActionEvent

    protected AdditionalActionEvent()

  - ### AdditionalActionEvent

    public AdditionalActionEvent​(int cid, int actionId, int userId)
    Констркутор события.
    Parameters:
      `cid` - - id договора
      `actionId` - - id доп. действия договора
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getActionId

    public int getActionId()
    Возвращает код доп. действия договора.
    Returns:
      actionId - код доп. действия

  - ### addReport

    public void addReport​(java.lang.String value)
    Добавление текста в отчет по выполнению действия.
    Parameters:
      `value` - - текст

  - ### getReport

    public java.lang.String getReport()
    Возвращает отчет по выполенению действия.
    Функция вызвыается биллингом после выполнения доп. действия.
    Отчет отображается пользователю либо оператору.
    Returns:
      report - отчет

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### setRequest

    public void setRequest​(javax.servlet.http.HttpServletRequest request)

  - ### getParams

    public ParameterMap getParams()

  - ### setParams

    public void setParams​(ParameterMap params)